Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.repository.support
Class DomainClassConverter

    java.lang.Object
      org.springframework.data.repository.support.DomainClassConverter

All Implemented Interfaces:
  ApplicationContextAware, ConditionalGenericConverter, GenericConverter

    public class DomainClassConverter

extends Object
implements ConditionalGenericConverter, ApplicationContextAware

`Converter` to convert arbitrary input into domain classes managed by Spring Data `CrudRepository` s. The implementation uses a `ConversionService` in turn to convert the source type into the domain class' id type which is then converted into a domain class object by using a `CrudRepository`.

Author:
  Oliver Gierke

Nested Class Summary

Nested classes/interfaces inherited from interface org.springframework.core.convert.converter.GenericConverter
`GenericConverter.ConvertiblePair`

Constructor Summary
`DomainClassConverter(ConversionService service)` Creates a new `DomainClassConverter`.

Method Summary
`Object` | `convert(Object source, TypeDescriptor sourceType, TypeDescriptor targetType)`
`Set<GenericConverter.ConvertiblePair>` | `getConvertibleTypes()`
`boolean` | `matches(TypeDescriptor sourceType, TypeDescriptor targetType)`
`void` | `setApplicationContext(ApplicationContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainClassConverter

    public DomainClassConverter(ConversionService service)

  Creates a new `DomainClassConverter`.

  Parameters:
    `service` -

Method Detail

### getConvertibleTypes

    public Set<GenericConverter.ConvertiblePair> getConvertibleTypes()

  Specified by:
    `getConvertibleTypes` in interface `GenericConverter`

### convert

    public Object convert(Object source,
                          TypeDescriptor sourceType,
                          TypeDescriptor targetType)

  Specified by:
    `convert` in interface `GenericConverter`

### matches

    public boolean matches(TypeDescriptor sourceType,
                           TypeDescriptor targetType)

  Specified by:
    `matches` in interface `ConditionalGenericConverter`

### setApplicationContext

    public void setApplicationContext(ApplicationContext context)

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.